package modules.consensus;

import utils.*;
import modules.region.*;
import simulator.*;
import java.util.*;

public class ConsensusRegion implements RegionMembershipTest {
  Object pid;
  public ConsensusRegion(Object id) { pid=id; }
  public boolean isMember(PortedProcessor pp) {
    Consensus cs = (Consensus)pp.getModule("Consensus");
    return cs.containsFull(pid);
  }
}
